<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

//menampilkan data
$status = array();
$posisi  = 0;
$date_now = date("Y-m-d");
$hasil = mysql_query("SELECT perkara.perkara_id, 
perkara.nomor_perkara, 
perkara.jenis_perkara_text,
perkara_putusan.tanggal_putusan,
perkara_putusan.tanggal_minutasi,
perkara_putusan.tanggal_bht,
hakim_pn.nama_gelar AS nama_ketua_majelis,
panitera_pn.nama_gelar AS nama_pp,
perkara_putusan.diinput_oleh AS konseptor,
dirput_antrian.tgl_masuk,
dirput_antrian.last_tried,
DATEDIFF(dirput_antrian.tgl_masuk,perkara_putusan.tanggal_putusan) AS lamaproses
FROM perkara, perkara_putusan, hakim_pn, perkara_hakim_pn, panitera_pn, perkara_panitera_pn, dirput_antrian
WHERE perkara.perkara_id = perkara_putusan.perkara_id
AND perkara_hakim_pn.hakim_id = hakim_pn.id 
AND perkara_hakim_pn.perkara_id = perkara_putusan.perkara_id 
AND perkara_panitera_pn.panitera_id = panitera_pn.id 
AND perkara_panitera_pn.perkara_id = perkara_putusan.perkara_id
AND perkara_putusan.perkara_id = dirput_antrian.perkara_id
AND tanggal_putusan IS NOT NULL
AND dirput_antrian.perkara_id NOT IN (SELECT dirput_perkara.perkara_id FROM dirput_perkara WHERE perkara_putusan.perkara_id = dirput_perkara.perkara_id)
AND dirput_antrian.status = '1'
GROUP BY perkara_putusan.perkara_id 
ORDER BY perkara_putusan.tanggal_putusan ASC");
echo "<div id='export'>";
echo "<h2>Monitoring Selisih pada Antrian Direktori Putusan (antara Jumlah Putusan Tercatat dengan Jumlah Antrian Masuk)</h2><br>";
echo "<table align=center><tr>
    <th width='2%'>No.</th>
	<th width='6%'>Id Perkara</th>
	<th width='14%'>Nomor Perkara</th>
	<th width='13%'>Jenis Perkara</th>
	<th width='13%'>Ketua Majelis<br>Panitera Pengganti</th>
	<th width='10%'>Tanggal Putus</th>
	<th width='10%'>Tanggal Minutasi</th>
	<th width='10%'>Tanggal Masuk <br> Dirput</th>
	<th width='6%'>Lama Proses</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
echo "<p align=left>Total Putusan : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($hasil)){
$tanggal2 = tgl_indo($r['tanggal_putusan']);
$tanggal3 = tgl_indo($r['tgl_masuk']);
$tanggal4 = tgl_indo($r['tanggal_minutasi']);
echo "<tr>
  <td align='center'>$no</td>
  <td align='center'>$r[perkara_id]</td>
  <td align='center'>$r[nomor_perkara]</td>
  <td align='center'>$r[jenis_perkara_text]</td>
  <td align='center'>$r[nama_ketua_majelis]<br>$r[nama_pp]</td>
  <td align='center'>$tanggal2</td>
  <td align='center'>$tanggal4</td>
  <td align='center'>$tanggal3</td>
  <td align='center'>$r[lamaproses] Hari</td>";
  $no++;
  }
echo "</table><br>";
?>